# Uses of Enum Class
org.apache.sysds.hops.FunctionOp.FunctionType

Packages that use FunctionOp.FunctionType
Package
Description
org.apache.sysds.hops
org.apache.sysds.parser

## Uses of FunctionOp.FunctionType in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return FunctionOp.FunctionType
Modifier and Type
Method
Description
`FunctionOp.FunctionType`
FunctionOp.`getFunctionType()`
`static FunctionOp.FunctionType`
FunctionOp.FunctionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FunctionOp.FunctionType[]`
FunctionOp.FunctionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.hops with parameters of type FunctionOp.FunctionType
Modifier
Constructor
Description
``
`FunctionOp(FunctionOp.FunctionType type, String fnamespace, String fname, String[] inputNames, List<Hop> inputs, String[] outputNames, boolean singleOut)`
``
`FunctionOp(FunctionOp.FunctionType type, String fnamespace, String fname, String[] inputNames, List<Hop> inputs, String[] outputNames, boolean singleOut, boolean pseudo)`
``
`FunctionOp(FunctionOp.FunctionType type, String fnamespace, String fname, String[] inputNames, List<Hop> inputs, String[] outputNames, ArrayList<Hop> outputHops)`

## Uses of FunctionOp.FunctionType in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return FunctionOp.FunctionType
Modifier and Type
Method
Description
`FunctionOp.FunctionType`
FunctionStatementBlock.`getFunctionOpType()`